package com.xhpc.evcs.cwj.dto;

import com.fasterxml.jackson.annotation.*;
import org.apache.commons.lang3.builder.ToStringBuilder;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author yuyang
 * @Date 2025-07-16 11:26
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonPropertyOrder({
        "Total",
        "StationStatusInfos"
})
public class CWJStationStatusInfoWrapper {


    @JsonProperty("Total")
    private Integer total;
    @JsonProperty("StationStatusInfos")
    private List<CWJStationStatusInfo> stationStatusInfos = null;
    @JsonIgnore
    private Map<String, Object> additionalProperties = new HashMap<String, Object>();

    @JsonProperty("Total")
    public Integer getTotal() {

        return total;
    }

    @JsonProperty("Total")
    public void setTotal(Integer total) {

        this.total = total;
    }

    @JsonProperty("StationStatusInfos")
    public List<CWJStationStatusInfo> getStationStatusInfos() {

        return stationStatusInfos;
    }

    @JsonProperty("StationStatusInfos")
    public void setStationStatusInfos(List<CWJStationStatusInfo> stationStatusInfos) {

        this.stationStatusInfos = stationStatusInfos;
    }

    @JsonAnyGetter
    public Map<String, Object> getAdditionalProperties() {

        return this.additionalProperties;
    }

    @JsonAnySetter
    public void setAdditionalProperty(String name, Object value) {

        this.additionalProperties.put(name, value);
    }

    @Override
    public String toString() {

        return new ToStringBuilder(this).append("total", total).append("stationStatusInfos", stationStatusInfos).append(
                "additionalProperties", additionalProperties).toString();
    }


}
